*Critical Update*

A recent rule clarification provided by the NXL resulted in an evaluation of the LUXE® software. In accordance with this inspection the NXL has asked that DLX update LUXE® software to eliminate a potential situation in which the software could be deemed as illegal for competition. All participants in NXL or NXL affiliate tournament leagues are heavily urged to update their software version to 3.55 or newer in order to avoid any such violation.

The software error addressed by this update is not classified as malicious, and provides no advantage to the player in the course of play. No penalties have been issued as a result of the concern, however, the NXL is aware of the concern and effected software versions (all versions prior to 3.55). 

Software for Luxe ICE and OLED Markers

Luxe USB Interface – Luxe ICE

Click to download Luxe USB Interface – LUXE ICE  – This download includes the required software to update your Luxe OLED via the factory included USB to Luxe data transfer cable. Luxe software requires the use of a Windows PC. OLED/ICE software is not compatible with 2.0 or older versions of the Luxe electronics group.

*This zip includes the interface software, latest version of the OLED firmware, and instructions for installation. Users will need to download the latest version of the ICE/OLED software found below.

Luxe ICE Software Update

*Critical Update* – All players participating in the NXL or NXL affiliate leagues are strongly encouraged to update to the latest version of software offered below.

EnglishSoftware Version 3.55Uploaded 5/1/2018

After flashing if your screen is blank please use alternate version found here – Software Version 3.55 B – 1106 OLED Driver

FrenchSoftware Version 3.55Uploaded 5/1/2018

SpanishSoftware Version 3.55Uploaded 5/1/2018

GermanSoftware Version 3.55 *Restricted*Uploaded 5/1/2018

*Restricted version does not include Full Auto, Burst, or auto-response in compliance with local German laws.

GermanSoftware Version 3.5Uploaded 5/1/2018

RussianSoftware Version 3.5Uploaded 5/1/2018

Luxe Voice Editor

Luxe Voice Editor – This download includes the required software to update your Luxe 2.0 board via the factory included USB to Luxe data transfer cable. Luxe software requires the use of a Windows XP or newer computer. 2.0 software is not compatible with older versions of the Luxe electronics group.

Software for Luxe 2.0 Markers

Luxe USB Interface – 2.0 Board Only

Luxe USB Interface – 2.0 Board Only – This download includes the required software to update your Luxe 2.0 board via the factory included USB to Luxe data transfer cable. Luxe software requires the use of a Windows XP or newer computer. 2.0 software is not compatible with older versions of the Luxe electronics group.

Final 2.0 Software Update

Software Version 3.11 is the final revision to the Luxe 2.0 software. With production of the 2.0 board stopping in 2014, we will no longer be providing software updates for this board.

Luxe Voice Editor

Luxe Voice Editor – This download includes the required software to update your Luxe 2.0 board via the factory included USB to Luxe data transfer cable. Luxe software requires the use of a Windows XP or newer computer. 2.0 software is not compatible with older versions of the Luxe electronics group.